<?php
require_once("config/configDB.php"); 

// storing  request (ie, get/post) global array to a variable  
$requestData= $_REQUEST;

$userpermissionEdit 	= $_POST['userpermissionEdit'];
$userpermissionDelete 	= $_POST['userpermissionDelete'];

//cname, city, pincode, mobile, gst_type, ccode, open_balance
$columns = array( 
// datatable column index  => database column name
	0 => 'expense', 
	7 => 'id'
);

$sql = "SELECT id FROM expense_master";
$query=mysqli_query($conn, $sql) or die("expensegriddata.php: get expense_master Data");
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;  

$sql = "SELECT expense,id ";
$sql.=" FROM expense_master WHERE 1=1";
if( !empty($requestData['search']['value']) ) {   

	$sql.=" AND ( expense LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR id LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($conn, $sql) or die("expensegriddata.php: get expense_master Data");
$totalFiltered = mysqli_num_rows($query); 

$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";

$query=mysqli_query($conn, $sql) or die("expensegriddata.php: get expense_master Data");
	
//cname, city, pincode, mobile, gst_type, ccode, open_balance
$data = array();
while( $row=mysqli_fetch_array($query) ) { 
	$nestedData=array(); 

	$nestedData[] = $row["expense"];

	$edit  = "";
	if($userpermissionEdit==1) {
		$edit .="<a href='expensemasterEdit.php?id=".$row['id']."' id='expenseMaster_".$row['id']."' class='btn btn-primary'>Edit</a>";
	}

	$Delete  = "";
	if($userpermissionDelete==1) {
		//$Delete .="<a  id='' class='btn btn-primary'>Delete</a>";
	}
	$nestedData[] = $edit."&nbsp".$Delete;
    
	
	$data[] = $nestedData;
}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data);  

?>
